import {
  geoEqualEarth,
  geoOrthographic,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = geoEqualEarth();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  worldAtlas: { land, interiors },
  cities,sizeScale,sizeValue
}) => (
  <g className="marks">
    <path
      className="sphere"
      d={path({ type: 'Sphere' })}
    />
    <path
      className="graticules"
      d={path(graticule())}
    />
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
    <path
      className="interiors"
      d={path(interiors)}
    />
    {cities.map((city) => {
      const [x, y] = projection([
        city.lng,
        city.lat,
      ]);
      
      return (
      <circle className="city" cx={x} cy={y} r={sizeScale(sizeValue(city))}/>
      )
    })}
  </g>
);
